input = File.readlines("input.txt")

part1 = 0
part2 = 0
for line in input do
	policy, password = line.split(': ')
	counts, character = policy.split(' ')
	n1, n2 = counts.split('-').map(&:to_i)
	if password.count(character) >= n1 && password.count(character) <= n2
		part1 += 1
	end
	if (password[n1-1] == character) ^ (password[n2-1] == character)
		part2 += 1
	end
end

puts "Part 1: #{part1}"
puts "Part 2: #{part2}"